Package org.springframework.security.web.webauthn.management

# Interface RelyingPartyRegistrationRequest

All Known Implementing Classes:
  `ImmutableRelyingPartyRegistrationRequest`

public interface RelyingPartyRegistrationRequest

Since:
  6.4
See Also:
  - `WebAuthnRelyingPartyOperations.registerCredential(RelyingPartyRegistrationRequest)`

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialCreationOptions`
`getCreationOptions()`
`RelyingPartyPublicKey`
`getPublicKey()`

## Method Details

### getCreationOptions

PublicKeyCredentialCreationOptions getCreationOptions()

### getPublicKey

RelyingPartyPublicKey getPublicKey()